package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 身份证正反面枚举
 */
@AllArgsConstructor
@Getter
public enum EIdCardSide {


    /**
     * 正面
     */
    FACE(1, "face"),

    /**
     * 反面
     */
    BACK(2, "back");

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;


    /**
     * 获取label值
     *
     * @param value 值
     * @return String
     */
    public static String getLabel(int value) {
        for (EIdCardSide eIdCardSide : EIdCardSide.values()) {
            if (eIdCardSide.getValue() == value) {
                return eIdCardSide.getLabel();
            }

        }
        return null;
    }


}
